# Yahoo! UI Library

### imageloader 2.8.2r1

Yahoo! UI Library > imageloader > YAHOO.util.ImageLoader.pngBgImgObj
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.ImageLoader.pngBgImgObj - extends YAHOO.util.ImageLoader.imgObj

PNG background image object. A PNG background image is one whose URL is specified through AlphaImageLoader or by "background-image" in the element's style

### Constructor

YAHOO.util.ImageLoader.pngBgImgObj `( domId , url , ailProps )`

Parameters:
  `domId <String>` HTML DOM id of the image element
  `url <String>` URL for the image
  `ailProps <Object>` The AlphaImageLoader properties to be set for the image Valid properties are 'sizingMethod' and 'enabled'

### Properties

#### props - `Object`

AlphaImageLoader properties to be set for the image. Valid properties are "sizingMethod" and "enabled".

#### Properties inherited from YAHOO.util.ImageLoader.imgObj:

`_fetched, domId, height, setVisible, url, width`

### Methods

#### _applyUrl

`private void _applyUrl ( el )`
Inserts the image URL into the DOM so that the image is displayed. If the browser is determined to be IE6 (or older), sets the AlphaImageLoader src; otherwise sets style.backgroundImage

Parameters:
  `el <Object>` HTML DOM element

#### Methods inherited from YAHOO.util.ImageLoader.imgObj:

`_applyUrl, fetch`

Copyright © 2010 Yahoo! Inc. All rights reserved.